<script setup>
import BasketLayout from "@/Layouts/BasketLayout.vue";
import BalanceMobile from "@/Components/Items/Basket/BalanceMobile.vue";
import MessageBasket from "@/Components/Items/Basket/MessageBasket.vue";
import TotalBasket from "@/Components/Items/Basket/TotalBasket.vue";
import ItemLot from "@/Components/Items/Lots/ItemLot.vue";
import {UseBasket} from "@/Stores/BasketStore";

const basket = UseBasket();

const deleteLot = (lot) => basket.deleteItemCart(lot)

</script>

<template>
    <BasketLayout>
        <div class="basket__right">
            <balance-mobile/>
            <div class="basket__bottom">
               <message-basket/>

                <div class="marketBottom__lots-box noMobile">
                    <p class="marketBottom__lots-title">Игра - категория</p>

                    <div class="marketBottom__market2-content">
                        <item-lot v-for="(lot, index) in basket.items" :lot="lot" :index="index" :quantity="lot.quantity">
                            <div class="marketBottom__market2-block--statusWrapper marketBottom__market2-block--wrapper" data-titleline-text="Cтатус" data-titleline-isselected="false">

                                <div class="marketBottom__market2-titleLine--titleBlock">
                                    <div class="marketBottom__market2-titleLine--titleBlock-wrapper">
                                        <p class="marketBottom__market2-titleLine--titleBlockText">Cтатус</p>

                                    </div>
                                </div>
                                <p class="marketBottom__market2-block--status">Продавец offline, выдача в срок до 72 часов</p>
                            </div>
                            <svg @click="deleteLot(lot)" class="marketBottom__market2-block--delete" width="22" height="22" viewBox="0 0 22 22" fill="none" xmlns="http://www.w3.org/2000/svg">
                                <path d="M6.04522 15.9547C6.17963 16.0891 6.35529 16.1562 6.53129 16.1562C6.70729 16.1562 6.88294 16.0891 7.01735 15.9547L11 11.972L14.9827 15.9547C15.1171 16.0891 15.2928 16.1562 15.4688 16.1562C15.6448 16.1562 15.8204 16.0891 15.9548 15.9547C16.2233 15.6863 16.2233 15.2511 15.9548 14.9826L11.9722 10.9999L15.9548 7.01723C16.2233 6.74876 16.2233 6.31357 15.9548 6.0451C15.6864 5.77663 15.2512 5.77663 14.9827 6.0451L11 10.0278L7.01735 6.0451C6.74888 5.77663 6.31369 5.77663 6.04522 6.0451C5.77675 6.31357 5.77675 6.74876 6.04522 7.01723L10.0279 10.9999L6.04522 14.9826C5.77675 15.2511 5.77675 15.6863 6.04522 15.9547Z" fill="white"></path>
                                <path d="M11 22C13.938 22 16.7004 20.8557 18.7777 18.778C20.8557 16.7004 22 13.938 22 11C22 8.06197 20.8557 5.29959 18.7777 3.22231C16.7004 1.14434 13.938 0 11 0C8.06197 0 5.29959 1.14434 3.22231 3.22197C1.14434 5.29959 0 8.06197 0 11C0 13.938 1.14434 16.7004 3.22231 18.7777C5.29959 20.8557 8.06197 22 11 22ZM4.19444 4.19444C6.01219 2.37634 8.42909 1.375 11 1.375C13.5709 1.375 15.9878 2.37634 17.8056 4.19444C19.6237 6.01219 20.625 8.42909 20.625 11C20.625 13.5709 19.6237 15.9878 17.8056 17.8056C15.9878 19.6237 13.5709 20.625 11 20.625C8.42909 20.625 6.01219 19.6237 4.19444 17.8056C2.37634 15.9878 1.375 13.5709 1.375 11C1.375 8.42909 2.37634 6.01219 4.19444 4.19444Z" fill="white"></path>
                            </svg>
                        </item-lot>
                        <h4 v-if="basket.items.length === 0" style="text-align: center" class="header__link">Корзина пустая</h4>
                    </div>
                </div>

            </div>
           <total-basket :total="basket.total"
                         :count="basket.count">
                         </total-basket>
        </div>
    </BasketLayout>
</template>
